<link rel="stylesheet" type="text/css" href="{pigcms::RES}/css/list.css">
<link rel="stylesheet" type="text/css" href="{pigcms::RES}/css/css.css">
<script src="tpl/static/artDialog/jquery.artDialog.js?skin=default"></script>
<script src="/tpl/static/artDialog/plugins/iframeTools.js"></script>
<div style="height:20px"></div>
<div class='objCont'>	
	<a href="javascript:void(0)"><div class='objTitle  objTitle2'  onclick="changeObjTab(2);"><span>导入对象</span></div></a>
	<a href="javascript:void(0)"><div class='objTitle objActive objTitle1' onclick="changeObjTab(1);"><span>选择对象</span></div></a>
</div>
<div style="margin-left:60px;margin-top:20px" id="isIntersectId">
		<input  id="isIntersect" name="isIntersect[]" type="radio" value="0" checked onclick="Pattern(0)">标准模式
		<input  id="isIntersect" name="isIntersect[]" type="radio" value="1"  style="margin-left:10px" onclick="Pattern(1)">高级模式
		<font>（您可以根据部门、岗位、角色进行交叉筛选人员，并支持多选）</font>
</div>
<div style='clear:both;margin-top:10px'></div>
<div class="" style="width:100%;">
	<div title="导入对象" id='importObject'>
		<div class='importCont'>
			你也可以先
			<a href="javascript:void(0)" onclick="getTemplate();"><font color="#216ED5">下载导入模版</font></a>
			修改上传后再批量导入
			<div class="form-group">
				<input id="importPath" type="text" name="importPath" value="" style="vertical-align:middle;margin-left: 0px; margin-right: 0px; padding-top: 1px; padding-bottom: 1px;height:22px; width: 200px;border: 1px solid #95B8E7;border-radius: 5px 5px 5px 5px;">
				<script src="/tpl/static/upyun.js?2013"></script>
				<a href="###" onclick="upyunDocumentUpload('importPath',700,420,'',1)" class="a_upload">上传文件</a><p></p>
			</div>
			<a href="javascript:void(0)" style="margin-top:5px;margin-left:60px;width:125px" class="easyui-linkbutton" onclick="saveImport()">导入</a>
		</div>
		<div style='clear:both;'></div>
	</div>
	<div title="选择对象" id='selectObject' style="padding:10px;">
		<div class="dakuang" >
		<div class="dakuangtop">
			<ul id="disImgNone" style="display:none">
				
			</ul>
		   <ul id="disImg">
		
		   </ul>
		   <ul id="disImg1">
		
		   </ul>
		</div>
		  <div class="woaicss">   
			<ul class="woaicss_title" id="woaicsstitle">
				<li id="tab_1" ><a href="javascript:void(0)"  onclick="javascript:woaicssq(1,'department')">部门</a></li>
				<li id="tab_2"><a href="javascript:void(0)"  onclick="javascript:woaicssq(2,'group')">标签</a></li>
				<li id="tab_3"><a href="javascript:void(0)"  onclick="javascript:woaicssq(3,'member')">成员</a></li>
				<li id="tab_4"><a href="javascript:void(0)"  onclick="javascript:woaicssq(4,'position')">岗位</a></li>
				<li id="tab_5"><a href="javascript:void(0)"  onclick="javascript:woaicssq(5,'role')">角色</a></li>

				<li id="tab_id_1" style="display:none"><a href="javascript:void(0)"  ><font color="#d0d0d0">部门</font></a></li>
				<li id="tab_id_2" style="display:none"><a href="javascript:void(0)"  ><font color="#d0d0d0">标签</font></a></li>
				<li id="tab_id_3" style="display:none"><a href="javascript:void(0)" ><font color="#d0d0d0">成员</font></a></li>
				<li id="tab_id_4" style="display:none"><a href="javascript:void(0)"  ><font color="#d0d0d0">岗位</font></a></li>
				<li id="tab_id_5" style="display:none"><a href="javascript:void(0)"  ><font color="#d0d0d0">角色</font></a></li>
				<li  id="tab_all_id">
					<a href="javascript:void(0)"  style="width:70px"> 
						<input id="woaicssqid"  name="woaicssqid" type="hidden" value="">
						<input id="woaicssqtype" name="woaicssqtype" type="hidden" value="">
						<input id="object_node_id" name="object_node_id" type="hidden" value="">
						<span id="AllStudentsId">
							<input type="checkbox" onclick="Pattern(2)" id="all_students_id" name="all_students_id" value="1">全部学员
						</span>
					</a>
				</li>
				<li style="float:right;margin-right:15px;margin-top:3px">
					<span>关键字：<input id="object_keyword" class="px" style="width:100px" ></span>
					<span>
					<a href="javascript:void(0)" id="object_query_id"  style="padding:0px;" class="easyui-linkbutton" plain="true"  onclick="woaicssq_query()">
						<span style="padding-left:15px;color:#FFFFFF;">查询</span>
					</a>
					<a href="javascript:void(0)" id="objectQueryId"  style="display:none;padding:0px;background:#ADADAD;" class="easyui-linkbutton" plain="true" >
						<span style="padding-left:15px">查询</span>
					</a>
					</span>
				</li>
			</ul>
			<div class="woaicss_con" id="woaicss_con1" >
				<div style=" float:left; width:100%;">
					<div class="easyui-panel" style="width:868px;height:460px;border-color: #fff;position:relative;">
						<ul id="tt-department" class="easyui-tree" style="width:auto;"  >  
						</ul>									
				  </div>
				</div>
			<div>&nbsp;</div>
			</div>
			<div class="woaicss_con" id="woaicss_con2">
				<div style=" float:left; width:100%;">
					<div class="easyui-panel" style="width:868px;height:460px;border-color: #fff;">
						<ul id="tt-group" class="easyui-tree" style="margin-left:0;">  
						</ul>
				  </div>
				</div>
		  </div>
		  <style>
		   .dakuangtop ul li ol{background: #F39800;}
 		.dakuangtop ul li span{height:auto;max-width:840px;}
 		.dakuangtop ul li {height:auto;}
		.objCont{width:800px;margin:0 auto;}
		.objTitle{float:right;width:15%;border:1px solid #95B8E7;box-sizing:border-box;padding:5px;border-radius:5px;background-color:#efeff4;text-align:center;}
		.objTitle1{border-right:0;border-top-right-radius:0;border-bottom-right-radius:0;}
		.objTitle2{border-left:0;border-top-left-radius:0;border-bottom-left-radius:0;}
		.objActive{background-color:white;}
		.objActive span{font-weight:700}
		.woaicss_member ul {width: 100%;}
		.tab_active{border-bottom: #06F 2px solid !important;height: 28px;}
		.dakuang{min-height:545px;width:870px;}
		#importObject{display:none;box-sizing:border-box;padding:10px;border:1px solid #eee;width:720px;height:100px;margin:10px auto;}
		.importCont{width:350px;margin:0 auto;padding:5px;}
		  </style>
		    <div class="woaicss_con woaicss_member" id="woaicss_con3">
				<div style=" float:left; width:32%;">
					<div class="easyui-panel" style="width:868px;height:460px;border-color: #fff;">
					<ul id="tt-member" class="easyui-tree">  
					</ul>
				  </div>
			  </div>
				
				<div id="Memberlist" style="display: block; float: right;margin-top: 13px;width:68%;">
					   <table id="detaillist" data-options="toolbar:'detaillisttb'" style="width:100%;height:430px;">
						<thead>				
							
						</thead>
					</table>
					<input id="allcheck_person" type="checkbox" onchange="fn_check('detaillist','allcheck_person');">全选
			   </div>	
			</div>
		 	<div class="woaicss_con" id="woaicss_con4">
				<div style=" float:left; width:100%">
					<div class="easyui-panel" style="width:868px;height:460px;border-color: #fff;">
					<ul id="tt-position" class="easyui-tree" style="margin-left:0;">  
					</ul>
				  </div>
				</div>
			</div>  	
		 	<div class="woaicss_con" id="woaicss_con5">
				<div style=" float:left; width:100%">
					<div class="easyui-panel" style="width:868px;height:460px;border-color: #fff;">
					<ul id="tt-role" class="easyui-tree" style="margin-left:0;">  
					</ul>
				  </div>
				</div>
			</div> 
		</div>
		
		<div id="valuelist"></div>
		<div id="valuelist1"></div>	
		</div>
	

		<br/>
		
		<neq name="moduleAction" value="Noticeadd">
		<div style="clear:both;text-align:center;margin-top:10px;" class="optObjectDiv">
		  <a href="javascript:void(0);"><span class="nireyw" onClick="add();">保存</span></a>
		  <a href="javascript:history.go(-1);"><span class="nireyw">取消</span></a>
		 </div>
		</neq>
		<div class="messageOpt" style="display:none;">
		<p>
			<a href="javascript:void(0);" onclick="stept1();" class="btnOrange">上一步</a>
			<a href="javascript:void(0);" style="margin-left:40px;" onclick="addObject();" class="btnOrange">发送</a>　
		</p>
			<div style="background:#fff;opacity:0.8;filter:alpha(opacity=80); text-align:center;display:none;position: absolute;left: 750px;top: 485px;" id="sendLoading"  >
				<div style="cursor: wait;width:150px; height: 130px; line-height:30px;margin:0 auto;">
					<img src="{pigcms::RES}/images/loading.gif" />
					<p style="height:10px;"></p>
					<span style=" font-size:14px;font-family: '应用字体 Regular', '应用字体';color:#CCC;" >正在发送，请稍后...</span>
				</div>
			</div>

			<div id="sendComplete" class="defaultboxs2" style="display:none;position: absolute;left: 750px;top: 500px;">
				<p>
					<img src="/tpl/User/default/common/images/message/ok.png" title="提示" />
					<span class="msgTxt" style="font-family:'应用字体 Regular', '应用字体';">发送成功</span>
				</p>
			</div>
		</div>

	</div>
</div>

<script language="javascript"> 

	var gIndex = 0;
	var act = '{pigcms:$act}';
	var domainId;
	var interface = '{pigcms:$interface}';
	var urllist = [];
	var object_keyword = '';
	var urllist = [];
	var uid = '';
	$(function(){
		uid = '<?php echo $_SESSION[uid] ?>';
		domainId = '{pigcms:$domainId}';

		if(domainId==''){
			<if condition="$_SESSION['is_open_domain']">
			domainId = $('#domain').combobox('getValue');
			domainId= domainId.split('_');
			domainId = domainId[0];
			</if>
		}else{
			domainId = '{pigcms:$domainId}';
		}	
		urllist.push('{pigcms::U("Member/getData",array("token"=>$token,'interface'=>$interface,'act'=>$act))}&domainId='+domainId+'&keyword=');
	 	urllist.push('{pigcms::U("Member/getGroup",array("token"=>$token,'interface'=>$interface,'act'=>$act))}&domainId='+domainId+'&keyword=');
	 	urllist.push('{pigcms::U("Member/getData",array("token"=>$token,'interface'=>$interface,'act'=>$act))}&domainId='+domainId+'&keyword=');
	 	urllist.push('{pigcms::U("Member/getPosition",array("token"=>$token,'interface'=>$interface,'act'=>$act))}&domainId='+domainId+'&keyword=');
	 	urllist.push('{pigcms::U("Member/getRole",array("token"=>$token,'interface'=>$interface,'act'=>$act))}&uid='+uid+'&domainId='+domainId+'&keyword=');
	 	urllist.push('{pigcms::U("Member/getData",array("token"=>$token,'interface'=>$interface,'act'=>$act))}&domainId='+domainId+'&judge=1');
	})

	 function Pattern(isIntersect){//模式
		if(isIntersect == 2 || isIntersect == 3){
			$(".objTitle2").removeClass('objActive');
			$(".objTitle1").addClass('objActive');
			objectImport = 0;
			var  all_students_id = $("#all_students_id").is(':checked');
			if(all_students_id==true || isIntersect == 3){
				$('#tt-department').html('');
				$('#tab_id_1').show();
				$('#tab_id_2').show();
				$('#tab_id_3').show();
				$('#tab_id_4').show();
				$('#tab_id_5').show();
				$('#tab_1').hide();
				$('#tab_2').hide();
				$('#tab_3').hide();
				$('#tab_4').hide();
				$('#tab_5').hide();

				$('#disImg1').hide();
				$('#disImg').show();
				$('#objectQueryId').show();
				$('#object_query_id').hide();
				$('#tab_all_id').show();

				$(".objTitle2").removeClass('objActive');
				$(".objTitle1").removeClass('objActive');
				objectImport = 1;
				$.post('{pigcms::U("Member/OrgnOper",array("token"=>$token))}',{
					act:'get',
					interface: interface
				  },
				  function (data){	
				  	if(data){
					  	if(data[0].is_intersect == false){
					  		if(isIntersect == 3 || isIntersect == 2){
					  			member_init(2);
					  		}else{
					  			member_init(0);
					  		}
					  	}else{
					  		member_init(2);
					  	}
					 }else{
					 	member_init(2);
					 	if(isIntersect != 2 && isIntersect != 3){
					 		$('#objectQueryId').hide();
							$('#object_query_id').show();

						}
					 }
				  },'json')	
			}else{
				$('#tab_1').show();
				$('#tab_2').show();
				$('#tab_3').show();
				$('#tab_4').show();
				$('#tab_5').show();
				$('#tab_id_1').hide();
				$('#tab_id_2').hide();
				$('#tab_id_3').hide();
				$('#tab_id_4').hide();
				$('#tab_id_5').hide();
				$('#objectQueryId').hide();
				$('#object_query_id').show();
				member_init(2);
			}		
		}
	 	if(isIntersect==1){
	 		$('.objCont').hide();

			$('#tt-position').html('');
			$('#tt-role').html('');	
	 		$('#tt-department').html('');

	 		$('#tab_1').show();
	 		$('#tab_2').hide();
			$('#tab_3').hide();
			$('#tab_4').show();
			$('#tab_5').show();
			$('#tab_all_id').hide();
			$('#tt-department').html('');

			$('#tab_id_1').hide();
			$('#tab_id_2').hide();
			$('#tab_id_3').hide();
			$('#tab_id_4').hide();
			$('#tab_id_5').hide();
			woaicssq(1,'department');
			$('#disImg1').show();
			$('#disImg').hide();

			$('#objectQueryId').hide();
			$('#object_query_id').show();
	 	}
	 	if(isIntersect == 0){	
	 	$('.objCont').show();	
			$('#tt-position').html('');
			$('#tt-role').html('');	
	 		$('#tt-department').html('');
		
			// $('#all_students_id').attr('checked',false);
			$('#tab_all_id').show();
			$('#objectQueryId').hide();
			$('#object_query_id').show();			
			woaicssq(1,'department');
			$('#disImg1').hide();
			$('#disImg').show();
			var  all_students_id = $("#all_students_id").is(':checked');
			if(all_students_id == true){
				$('#tab_1').hide();
		 		$('#tab_2').hide();
				$('#tab_3').hide();
				$('#tab_4').hide();
				$('#tab_5').hide();

				$('#tab_id_1').show();
				$('#tab_id_2').show();
				$('#tab_id_3').show();
				$('#tab_id_4').show();
				$('#tab_id_5').show();

				$('#objectQueryId').show();
				$('#object_query_id').hide();
			}else{
				$('#tab_1').show();
		 		$('#tab_2').show();
				$('#tab_3').show();
				$('#tab_4').show();
				$('#tab_5').show();

				$('#tab_id_1').hide();
				$('#tab_id_2').hide();
				$('#tab_id_3').hide();
				$('#tab_id_4').hide();
				$('#tab_id_5').hide();	
				$('#objectQueryId').hide();
				$('#object_query_id').show();				
			}
					
	 	}

	 }

	function member_init(k){
			$("#disImg").find("li").remove(); 
			$("#valuelist").find("input").remove();
			$("#disImg1").find("li").remove(); 
			$("#valuelist1").find("input").remove();
			var actName="{pigcms:$moduleAction}";
			$.post('{pigcms::U("Member/OrgnOper",array("token"=>$token))}&k='+k,{
				act:'get',
				interface: interface
			  },
			  function (data){	
			  	$('#disImg').html('');
			  	$('#disImg1').html('');
			  	if (data){	
				  	if(data[0].is_intersect == true){//绑定时判断是什么模式\			  		
				  			$('.objCont').hide();
				  			$('#disImg1').show();
							$('#disImg').hide();
				  		var isIntersectId ='';
							isIntersectId +='<input  id="isIntersect" name="isIntersect[]" type="radio" value="0"  onclick="Pattern(0)">标准模式';
							isIntersectId +='<input  id="isIntersect" name="isIntersect[]" type="radio" value="1" checked style="margin-left:10px" onclick="Pattern(1)">高级模式';
							isIntersectId +='<font>（您可以根据部门、岗位、角色进行交叉筛选人员，并支持多选）</font>';
							$('#isIntersectId').html(isIntersectId);
							Pattern(1);
							
				  	}else{
				  			$('.objCont').show();
				  			$('#disImg1').hide();
							$('#disImg').show();

				  			var isIntersectId ='';
							isIntersectId +='<input  id="isIntersect" name="isIntersect[]" type="radio" value="0" checked onclick="Pattern(0)">标准模式';
							isIntersectId +='<input  id="isIntersect" name="isIntersect[]" type="radio" value="1"  style="margin-left:10px" onclick="Pattern(1)">高级模式';
							isIntersectId +='<font>（您可以根据部门、岗位、角色进行交叉筛选人员，并支持多选）</font>';
							$('#isIntersectId').html(isIntersectId);

							$('#tab_1').show();
					 		$('#tab_2').show();
							$('#tab_3').show();
							$('#tab_4').show();
							$('#tab_5').show();

							$('#tab_id_1').hide();
							$('#tab_id_2').hide();
							$('#tab_id_3').hide();
							$('#tab_id_4').hide();
							$('#tab_id_5').hide();			
							$('#all_students_id').attr('checked',false);
							$('#tab_all_id').show();
							$('#objectQueryId').hide();
							$('#object_query_id').show();	
				  	}	  
				  	for(var i=0; i<data.length; i++){
				  		var newid=data[i]['reference_type']+'_'+data[i]['reference_id'];
						var checkid=newid+999;						
				  		if(data[0].is_intersect == false ){//什么模式，开始绑定数据
				  			if(data[0].is_allmember == true){
				  				var tab_all_id = '';
				  				tab_all_id = '<a href="javascript:void(0)"  style="width:70px"> <input type="checkbox" onclick="Pattern(2)" id="all_students_id" name="all_students_id" value="1" checked="checked">全部学员</a>';
				  				$('#tab_all_id').html(tab_all_id);
				  				
				  			}else{
								var li1 = '<li id="'+newid+'"><span><font>'+data[i]['name']+'</span><em onclick="removeLi(\''+newid+'\')"></em></li>'; 
								$("#disImg").append(li1); 
				  			}
						}
						else{
							if(data[i]['reference_type']=='department'){
									var liStrNoneTextId = $('#liStrNoneTextId').text();
									data[i]['name'] = '"'+data[i]['name']+'"';
									if(liStrNoneTextId){
										data[i]['name'] = data[i]['name']+'   或   '+liStrNoneTextId;
										$('#liStrNoneTextId').text(data[i]['name']);
										var liStrNonecheckid = $('#liStrNonecheckid').text();//删除获取的checkid
										liStrNonecheckid = liStrNonecheckid+','+checkid;
										$('#liStrNonecheckid').text(liStrNonecheckid);
									}else{				
										// $('#disImg').html('');

										var liStr = $('<li id="liStrNoneid"><span id="liStrNoneTextId">'+data[i]['name']+'</span><span id="liStrNonecheckid" style="display:none">'+checkid+'</span><em onclick="oncheckedVal(0,\'department\',0)"></em></li>');
										$("#disImg1").append(liStr);
									}
							}else if(data[i]['reference_type'] =='position'){
									var positionAll = $('#positionAll').text();
									data[i]['name'] = '"'+data[i]['name']+'"';
									if(positionAll){
										data[i]['name'] = data[i]['name']+'   或   '+positionAll;
										$('#positionAll').text(data[i]['name']);
										var positionAllcheckid = $('#positionAllcheckid').text();//删除获取的checkid
										positionAllcheckid = positionAllcheckid+','+checkid;
										$('#positionAllcheckid').text(positionAllcheckid);
									}else{
										var liStrNoneTextId = $('#liStrNoneTextId').text();
										var roleAll = $('#roleAll').text();
										if(liStrNoneTextId || roleAll){
											var liStr = $('<li id="position_li_id" ><ol><ol>包含</ol></ol></li><li id="positionAllId"><span id="positionAll">'+data[i]['name']+'</span><span id="positionAllcheckid" style="display:none">'+checkid+'</span><em onclick="oncheckedVal(0,\'position\',0)"></em></li>');
										}else{
											var liStr = $('<li id="positionAllId"><span id="positionAll">'+data[i]['name']+'</span><span id="positionAllcheckid" style="display:none">'+checkid+'</span><em onclick="oncheckedVal(0,\'position\',0)"></em></li>');
										}
										$("#disImg1").append(liStr);
									}

							}else if(data[i]['reference_type']=='role'){
									var roleAll = $('#roleAll').text();
									data[i]['name'] = '"'+data[i]['name']+'"';
									if(roleAll){
										data[i]['name'] = data[i]['name']+'   或   '+roleAll;
										$('#roleAll').text(data[i]['name']);
										var roleAllcheckid = $('#roleAllcheckid').text();//删除获取的checkid
										roleAllcheckid = roleAllcheckid+','+checkid;
										$('#roleAllcheckid').text(roleAllcheckid);
									}else{	
										var liStrNoneTextId = $('#liStrNoneTextId').text();
										var positionAll = $('#positionAll').text();	
										if(liStrNoneTextId || positionAll){
											var liStr = $('<li id="role_li_id" ><ol>包含</ol></li><li id="roleAllId"><span id="roleAll">'+data[i]['name']+'</span><span id="roleAllcheckid" style="display:none">'+checkid+'</span><em onclick="oncheckedVal(0,\'role\',0)"></em></li>');
										}else{
											var liStr = $('<li id="roleAllId"><span id="roleAll">'+data[i]['name']+'</span><span id="roleAllcheckid" style="display:none">'+checkid+'</span><em onclick="oncheckedVal(0,\'role\',0)"></em></li>');											
										}		

										$("#disImg1").append(liStr);
									}
							}

						}	
						if(data[0].is_allmember == false || data[0].is_allmember == undefined){			
							var valuelist=$("#valuelist").val();
							value="reference_id:"+data[i]['reference_id']+"-reference_type:"+data[i]['reference_type']+"";	

							if(data[0].is_intersect == false){
								var button="<input type='checkbox' style='display:none' id='"+checkid+"' name='sumvalue' value="+value+" />"; 
								$("#valuelist").append(button);
							}else{
								var button1="<input type='checkbox' style='display:none' id='"+checkid+"' name='sumvalue1' value="+value+" />";
								$("#valuelist1").append(button1);
							}
						 }else{
						 	$('#objectQueryId').show();
							$('#object_query_id').hide();
						 }

					}
				}else{
					if(k!=2){	
					var   all_students_id = '<input type="checkbox" onclick="Pattern(2)" id="all_students_id" name="all_students_id" value="1" checked="checked">全部学员';	
						$('#AllStudentsId').html(all_students_id);

						$('#tab_all_id').show();
						$('#objectQueryId').show();
						$('#object_query_id').hide();

						$('#disImg1').hide();
						$('#tab_id_1').show();
						$('#tab_id_2').show();
						$('#tab_id_3').show();
						$('#tab_id_4').show();
						$('#tab_id_5').show();
						$('#tab_1').hide();
						$('#tab_2').hide();
						$('#tab_3').hide();
						$('#tab_4').hide(); 
						$('#tab_5').hide();

						$(".objTitle2").removeClass('objActive');
						$(".objTitle1").removeClass('objActive');
						objectImport = 1
						allObject(1);

						$('#disImg').show();
						$('#disImg1').hide();
						var isIntersectId ='';
						isIntersectId +='<input  id="isIntersect" name="isIntersect[]" type="radio" value="0" checked onclick="Pattern(0)">标准模式';
						isIntersectId +='<input  id="isIntersect" name="isIntersect[]" type="radio" value="1"  style="margin-left:10px" onclick="Pattern(1)">高级模式';
						isIntersectId +='<font>（您可以根据部门、岗位、角色进行交叉筛选人员，并支持多选）</font>';
						$('#isIntersectId').html(isIntersectId);
					}else{
						allObject(0);						
					}
				}			  	 
			  	if(actName!="Noticeadd"){
					woaicssq(1,'department');
				}	 
			  },'json');
			if(actName=="Noticeadd"){
				woaicssq(1,'department');
			}
		$('#detaillist').datagrid({
				onCheck: function(rowIndex,rowData){

				oncheckedVal1(rowData);
			},
			onUncheck: function(rowIndex,rowData){
				unoncheckedVal(rowData);
			}, 
	    onCheckAll: function(rowData){

				addcheckAllPersonItem(rowData);
			},
      onUncheckAll:function(rowData){
				removecheckAllPersonItem(rowData);
			},
			
		});

		$("#Memberlist").hide();	
  
}
function allObject(type){
	var  all_students_id = $("#all_students_id").is(':checked');
	var isIntersect=$('#isIntersect:checked').val();
	if(isIntersect == 0 || type == 1){
		if(all_students_id == true || type == 1){
			$.post('{pigcms::U("Member/getData",array("token"=>$token,'interface'=>$interface,'act'=>$act))}&domainId='+domainId,{
				act:'get',
				interface: interface
				},
				function (data){
					var newid = '';
					for (var i = 0; i < data.length; i++) {
						newid="department_"+data[i]['id'];
						var li1 = '<li id="'+newid+'"><span>'+data[i]['text']+'</span></li>'; 
						$("#disImg").append(li1); 
					};					  	
				},'json')	
			}
	}
}
var objectImport = 0;
function changeObjTab(type){
	if(objectImport == 1){
		return true;
	}
	if(type==1){
		$("#importObject").hide();
		$("#selectObject").show();
		$(".objTitle2").removeClass('objActive');
		$(".objTitle1").addClass('objActive');
		// member_init();//刷新对象列表
		var isIntersectId ='';
		isIntersectId +='<input  id="isIntersect" name="isIntersect[]" type="radio" value="0" checked onclick="Pattern(0)">标准模式';
		isIntersectId +='<input  id="isIntersect" name="isIntersect[]" type="radio" value="1"  style="margin-left:10px" onclick="Pattern(1)">高级模式';
		isIntersectId +='<font>（您可以根据部门、岗位、角色进行交叉筛选人员，并支持多选）</font>';

		$('#isIntersectId').html(isIntersectId);		
		member_init(0);
		Pattern(0);

	}else{
		var actName="{pigcms:$moduleAction}";
		if(actName=="Noticeadd"){
			var checkedStatus=$("input[name=sendType]:checked").val();
			var mid=$("#mid").val();
			if(mid==''){
				$.messager.alert("提示","请先保存通知为“保存但不发送”！导入对象完毕之后再更改为其他方式！");
				return;
			}
		}
		$("#importObject").show();
		$("#selectObject").hide();
		$(".objTitle1").removeClass('objActive');
		$(".objTitle2").addClass('objActive');
	}	
}

function getTemplate(){
	$.ajax({
		url:"{pigcms::U('Member/getTemplate')}",
		type:'post',
		dataType:'json',
		success:function(res){
			if(res.errorCode==0)
			location.href=res.data;
			else
			$.messager.alert('Info','无法下载模板！'+res.errorMassage,'error');
		},
		error:function(res){
			$.messager.alert('Info','无法连接到服务器','error');
		}
	});
}

function saveImport(){
	var path=$("#importPath").val();
	$.ajax({
		url:"{pigcms::U('Member/importMember')}",
		type:'post',
		data:{type:"{pigcms:$interface}",path:path,domainId:domainId,},
		dataType:'json',
		success:function(res){
		
			if(res.errorCode==0){
				$.messager.alert('Info','导入成功!','info');
			}
			else
			$.messager.alert('Info','导入失败!'+res.errorMassage,'error');
		},
		error:function(res){
			$.messager.alert('Info','无法连接到服务器','error');
		}
	});
}

function loadObj(index, type,date){	
	object_keyword = $('#object_keyword').val();
	 gIndex = index;
	if (type != 'member'){
		var on_off = true;


		var  all_students_id = $("#all_students_id").is(':checked');//高级模式
		var isIntersect=$('#isIntersect:checked').val();	
		if(all_students_id && isIntersect==0){
				$('#tt-'+type).tree({
			    url:urllist[index+4],  
			    animate:true,  
			    lines:true, 
				  checkbox:false,
				});
		}else{
			$.post(urllist[index-1]+object_keyword,{
					act:'get',
					interface: interface
				  },
				  function (data){	
				  	if(data==null){
				  		$('#tt-'+type).html('');
					}else{
						
				
						$('#tt-'+type).tree({
					    url:urllist[index-1]+object_keyword,  
					    animate:true,  
					    lines:true, 
						checkbox:true,
						  onExpand:function(node){	
						  	treecheck(type,node,0);
						  },
								onCheck: function(node, checked,data){	
									if(date==1){
										$('#tt-'+type).tree('expandAll');	
									}
									oncheckedVal(node,type,checked);				
								},				
								onLoadSuccess: function(node, data){
									for (var i = 0; i < data.length; i++) {
										if(data[i].selected){
											$('#'+data[i].domId).attr('style','width:868px');
											$('#'+data[i].domId).attr('class','tree-node tree-node-selected');//黄条选中

										}
									};
									if(date==1){
										$('#tt-'+type).tree('expandAll');	
									}
									var isIntersect=$('#isIntersect:checked').val();
									if(isIntersect==0){
										var disImg = $('#disImg').html();
									}else{
										var disImg = $('#disImg1').html();
									}
									disImg = disImg.replace(/^\s+/,'');
									if (type == 'department' && disImg !=''){
										if (!node){
										  var childrenNode = $('#tt-'+type).tree('getRoots');					 
										}
										else{
										  // checkParentNodeCheckBox(node);
										  
										  var childrenNode = $('#tt-'+type).tree('getChildren', node.target);
										}
											$('input[name="sumvalue1"]').each(function(){    
										   		valuelist+=$(this).val()+",";    
										  	}); 

										  	var valuelist = [];

										  	// console.log(valuelist);
										for(var k=0; k<data.length;k++){
											var currNode = childrenNode[k].target;
											var ckSpan = $(currNode).find(">span.tree-checkbox"); 
											checkid = 'department_'+data[k].id+999;
											if(isIntersect == 0){
												valuelist = document.getElementsByName("sumvalue");
											}else{
												valuelist = document.getElementsByName("sumvalue1");
											}
										  	 for (var i = 0; i < valuelist.length; i++) {
										  	 	if(valuelist[i].id==checkid){
													if (data[k].flag == 1){  
													 	$(ckSpan).removeClass('tree-checkbox0');
													 	$(ckSpan).addClass('tree-checkbox2');
													 	$(ckSpan).attr("flag",1);
							
													}
													else if (data[k].flag == 2){
														$(ckSpan).removeClass('tree-checkbox0');
													 	$(ckSpan).addClass('tree-checkbox1');
													 	$(ckSpan).attr("flag",2);
													}										  	 		
										  	 	}
										  	 };

										}
									}
									
									
									if (on_off && disImg !=''){
										treecheck(type,node,1);
										on_off =false;
									}
								}
						});
					}
				  },'json')
			}	
		
	
		
	}
	else{
		$('#tt-member').tree({
	    url:urllist[index-1],
	    animate:true, 
	    lines:true, 
			onClick: function(node){
					//点击人员提交到后台查询人员id的数据
					addPersonnelByLi(node.id);
					$('#object_node_id').val(node.id);
			}
		});
	}
}
function checkParentNodeCheckBox(node){
	if (node){
		var currNode = node.target;
		var ckSpan = $(currNode).find(">span.tree-checkbox"); 
		var flag =  $(ckSpan).attr("flag");
		
		if (flag == 1){  
		 	$(ckSpan).removeClass('tree-checkbox0');
		 	$(ckSpan).addClass('tree-checkbox2');
		}
		else if (flag == 2){
			$(ckSpan).removeClass('tree-checkbox0');
		 	$(ckSpan).addClass('tree-checkbox1');
		 	
		}
		var parentNode = $('#tt-department').tree('getParent', node.target);
		if (parentNode){						 	 
			checkParentNodeCheckBox(parentNode);
		}
	}
}
function delChildrenNode(node,reference_type){
	var isIntersect=$('#isIntersect:checked').val();//高级模式
	var childrenNode = $('#tt-'+reference_type).tree('getChildren', node.target);
	if (childrenNode && childrenNode.length > 0){
		for(var k=0; k<childrenNode.length;k++){
   		var newid=reference_type+"_"+childrenNode[k].id;
		var checkid=newid+999;
		if(isIntersect == 0){
				$("#"+newid).remove();
   				$("#"+checkid).remove();
   		}
   		delChildrenNode(childrenNode[k],reference_type);
   		
   		if(isIntersect == 1 && node){
   			// alert(childrenNode[k].text);
   			var name = '"'+childrenNode[k].text+'"';
 	 		var liStrNoneTextId = $('#liStrNoneTextId').text();
 	 		if(liStrNoneTextId.indexOf(name+'   或   ')>= 0){
			 	liStrNoneTextId = liStrNoneTextId.replace(name+'   或   ','');
			}
			else if(liStrNoneTextId.indexOf(name+'   或')>= 0){
 	 			liStrNoneTextId = liStrNoneTextId.replace(name+'   或','');
 	 		}else if(liStrNoneTextId.indexOf('或   '+name)>= 0){
 	 			liStrNoneTextId = liStrNoneTextId.replace('或   '+name,'');
 	 		}else if(liStrNoneTextId.indexOf('"'+name+'"')>= 0){
 	 			liStrNoneTextId = liStrNoneTextId.replace('"'+name+'"','');
 	 		}else if(liStrNoneTextId.indexOf(name)>= 0){
 	 			liStrNoneTextId = liStrNoneTextId.replace(name,''); 
 	 		}  

			var liStrNonecheckid = $('#liStrNonecheckid').text();
			if(liStrNonecheckid.indexOf(checkid+',')>= 0){
				liStrNonecheckid = liStrNonecheckid.replace(checkid+',','');
			}else if(liStrNonecheckid.indexOf(','+checkid)>= 0){
				liStrNonecheckid = liStrNonecheckid.replace(','+checkid,'');
			}else if(liStrNonecheckid.indexOf(checkid)>= 0){
				liStrNonecheckid = liStrNonecheckid.replace(checkid,'');
			}

	 		$("#liStrNoneid").remove('');
	 		var liStr = $('<li id="liStrNoneid"><span id="liStrNoneTextId">'+liStrNoneTextId+'</span><span id="liStrNonecheckid">'+liStrNonecheckid+'</span><em onclick="oncheckedVal(0,\'department\',0)"></em></li>');
	 		$("#disImg1").append(liStr);
	 		liStrNoneTextId = $('#liStrNoneTextId').text();
	 		liStrNoneTextId = liStrNoneTextId.replace(/^\s+/,'');
	 		if(!liStrNoneTextId){
	 			$("#liStrNoneid").remove();
	 			$('#li_str_li_id').remove();
	 		}	 					
   		}
   	}			
	}
}

function delParentNode(node,reference_type){
	var parentNode = $('#tt-'+reference_type).tree('getParent', node.target);
	if (parentNode){
		var node = parentNode;
		var childrenNode = $('#tt-'+reference_type).tree('getChildren', node.target);
		var checkedNum = 0;
		for(var k=0; k<childrenNode.length;k++){			
			if (!childrenNode[k].checked){
			//	alert(childrenNode[k].text+"##"+childrenNode[k].checked+"jj="+childrenNode.length);
				checkedNum = checkedNum+1;
			}
		}
		var isIntersect=$('#isIntersect:checked').val();//高级模式
		var newid=reference_type+"_"+node.id;
		var checkid=newid+999;
		if(isIntersect == 0){
			$("#"+newid).remove();			      
			$("#"+checkid).remove();
		}
			
 			if(isIntersect==1){	
 				var name = '"'+node.text+'"';
	 			var liStrNoneTextId = $('#liStrNoneTextId').text();
	 			liStrNoneTextId = liStrNoneTextId.replace(name,'');
	 			// alert(name);

		 		var liStrNonecheckid = $('#liStrNonecheckid').text();
				if(liStrNonecheckid.indexOf(checkid+',')>= 0){
					liStrNonecheckid = liStrNonecheckid.replace(checkid+',','');
				}else if(liStrNonecheckid.indexOf(','+checkid)>= 0){
					liStrNonecheckid = liStrNonecheckid.replace(','+checkid,'');
				}else if(liStrNonecheckid.indexOf(checkid)>= 0){
					liStrNonecheckid = liStrNonecheckid.replace(checkid,'');
				}

	 			$("#liStrNoneid").remove();
	 			// var disImg = $('#disImg').html();
	 			var liStr = $('<li id="liStrNoneid"><span id="liStrNoneTextId">'+liStrNoneTextId+'</span><span style="display:none" id="liStrNonecheckid">'+liStrNonecheckid+'</span><em onclick="oncheckedVal(0,\'department\',0)"></em></li>');
	 			$("#disImg1").append(liStr);
	 				liStrNoneTextId = $('#liStrNoneTextId').text();
	 				liStrNoneTextId = liStrNoneTextId.replace(/^\s+/,'');
	 				if(liStrNoneTextId=='                     ' || !liStrNoneTextId){
	 					// alert(liStrNoneTextId);
	 					$("#liStrNoneid").remove();
	 				}
	 		}
		if (checkedNum == childrenNode.length){			
			delParentNode(node,reference_type);
		}
		else{
			for(var k=0; k<childrenNode.length;k++){			
				if (childrenNode[k].checked){
					addCheckedItem(childrenNode[k], reference_type);
				}
			}	
			delParentNode(node,reference_type);		
		}		
	}	
}

//点击复选框将信息显示在上方
function oncheckedVal(node,reference_type,checked){
		var newid=reference_type+"_"+node.id;
		var checkid=newid+999;
		if (!checked){
			//删除	
			$("#"+newid).remove();			      
 			$("#"+checkid).remove();
 			//高级模式的删除
 			var isIntersect=$('#isIntersect:checked').val();//高级模式
 			if(isIntersect==1){
 				if(reference_type=='department'){
 					if(node){
						var name=node.text.split('   或   ');
			 			name= '"'+name+'"';
			 			var liStrNoneTextId = $('#liStrNoneTextId').text();
			 			if(liStrNoneTextId.indexOf(name+'   或   ')>= 0){
			 				liStrNoneTextId = liStrNoneTextId.replace(name+'   或   ','');
			 			}
			 			else if(liStrNoneTextId.indexOf(name+'   或')>= 0){//查找有没有这个字符串，有就截取一个
			 				liStrNoneTextId = liStrNoneTextId.replace(name+'   或','');
			 			}else if(liStrNoneTextId.indexOf('或   '+name)>= 0){
			 				liStrNoneTextId = liStrNoneTextId.replace('或   '+name,'');
			 			}else if(liStrNoneTextId.indexOf('"'+name+'"')>= 0){
			 				liStrNoneTextId = liStrNoneTextId.replace('"'+name+'"','');
			 			}else if(liStrNoneTextId.indexOf(name)>= 0){
			 				liStrNoneTextId = liStrNoneTextId.replace(name,'');
			 			}
 						if(liStrNoneTextId){
			 				$('#liStrNoneTextId').text(liStrNoneTextId);
			 			}

			 			var liStrNonecheckid = $('#liStrNonecheckid').text();//删除liStrNonecheckid 中 checkid
			 			if(liStrNonecheckid.indexOf(checkid+',')>= 0){
			 				liStrNonecheckid = liStrNonecheckid.replace(checkid+',','');
			 			}
			 			else if(liStrNonecheckid.indexOf(','+checkid)>= 0){//查找有没有这个字符串，有就截取一个
			 				liStrNonecheckid = liStrNonecheckid.replace(','+checkid,'');
			 			}else if(liStrNonecheckid.indexOf(checkid)>= 0){
			 				liStrNonecheckid = liStrNonecheckid.replace(checkid,'');
			 			}
 						if(liStrNonecheckid){
			 				$('#liStrNonecheckid').text(liStrNonecheckid);
			 			}			 			


			 			liStrNoneTextId = liStrNoneTextId.replace(/^\s+/,'');
			 			if(!liStrNoneTextId){
			 				$("#liStrNoneid").remove();
			 				$("#li_str_li_id").remove();

			 			}
			 		}else{
			 			//得到checkid进行删除999
			 			if(node==0){
				 			liStrNonecheckid = $('#liStrNonecheckid').text();
				 			liStrNonecheckid = liStrNonecheckid.split(',');

				 			var NodeDeletion;
				 			for (var i = 0; i < liStrNonecheckid.length; i++) {
				 				$("#"+liStrNonecheckid[i]).remove();
				 				NodeDeletion = liStrNonecheckid[i].replace('999','');
				 				removeLi(NodeDeletion);
				 			};

				 			$("#liStrNoneid").remove();	
			 			}
			 		}
 				}else if(reference_type=='position'){
 					if(node){
						var name=node.text.split('   或   ');
			 			name= '"'+name+'"';
			 			var positionAll = $('#positionAll').text();
			 			if(positionAll.indexOf(name+'   或   ')>= 0){
			 				positionAll = positionAll.replace(name+'   或   ','');
			 			}
			 			else if(positionAll.indexOf(name+'   或')>= 0){
			 				positionAll = positionAll.replace(name+'   或','');
			 			}else if(positionAll.indexOf('或   '+name)>= 0){
			 				positionAll = positionAll.replace('或   '+name,'');
			 			}else if(positionAll.indexOf('"'+name+'"')>= 0){
			 				positionAll = positionAll.replace('"'+name+'"','');
			 			}else if(positionAll.indexOf(name)>= 0){
			 				positionAll = positionAll.replace(name,'');
			 			}
			 			if(positionAll){
			 				$('#positionAll').text(positionAll);
			 			}
			 			positionAll = positionAll.replace(/^\s+/,'');
			 			if(!positionAll){
			 				$("#positionAllId").remove();
			 				$("#position_li_id").remove();
			 			}
			 		}else{
						//得到checkid进行删除
			 			if(node==0){
				 			positionAllcheckid = $('#positionAllcheckid').text();
				 			positionAllcheckid = positionAllcheckid.split(',');
				 			var NodeDeletion;
				 			for (var i = 0; i < positionAllcheckid.length; i++) {
				 				$("#"+positionAllcheckid[i]).remove();
				 				NodeDeletion = positionAllcheckid[i].replace('999','');
				 				removeLi(NodeDeletion);
				 			};
				 			$("#positionAllId").remove();	
			 			}
			 		}
 				}else if(reference_type == 'role'){
 					if(node){
						var name=node.text.split('   或   ');
			 			name= '"'+name+'"';
			 			var roleAll = $('#roleAll').text();
			 			if(roleAll.indexOf(name+'   或   ')>= 0){
			 				roleAll = roleAll.replace(name+'   或   ','');
			 			}
			 			else if(roleAll.indexOf(name+'   或')>= 0){
			 				roleAll = roleAll.replace(name+'   或','');
			 			}else if(roleAll.indexOf('或   '+name)>= 0){
			 				roleAll = roleAll.replace('或   '+name,'');
			 			}else if(roleAll.indexOf('"'+name+'"')>= 0){
			 				roleAll = roleAll.replace('"'+name+'"','');
			 			}else if(roleAll.indexOf(name)>= 0){
			 				roleAll = roleAll.replace(name,'');
			 			}	 			
			 			if(roleAll){
			 				$('#roleAll').text(roleAll);
			 			}
			 			roleAll = roleAll.replace(/^\s+/,'');
			 			if(!roleAll){
			 				$("#roleAllId").remove();
			 				$("#role_li_id").remove();
			 			}
			 		}else{
			 			//得到checkid进行删除
			 			if(node==0){
				 			roleAllcheckid = $('#roleAllcheckid').text();
				 			roleAllcheckid = roleAllcheckid.split(',');
				 			var NodeDeletion;
				 			for (var i = 0; i < roleAllcheckid.length; i++) {
				 				$("#"+roleAllcheckid[i]).remove();
				 				NodeDeletion = roleAllcheckid[i].replace('999','');
				 				removeLi(NodeDeletion);
				 			};

				 			$("#roleAllId").remove();	
			 			}
			 		}
 				}
		 		var liStrNoneTextId = $('#liStrNoneTextId').text()?1:0;
		 		var positionAll = $('#positionAll').text()?1:0;
		 		var roleAll = $('#roleAll').text()?1:0;
		 		if(1==liStrNoneTextId+positionAll+roleAll){
		 			$('#position_li_id').remove();
		 			$('#role_li_id').remove();
		 			$('#li_str_li_id').remove();
		 		}
 			}
 			//删除子节点
 			delChildrenNode(node,reference_type);
 			
 			//删除无兄弟节点的父节点
 			delParentNode(node,reference_type);
		}
		else{			
			//添加节点
			
			addCheckedItem(node,reference_type);	
				
		}
		  
}

function addCheckedItem(node,reference_type){
	var isIntersect = $('#isIntersect:checked').val();//高级模式//点击增加

	var newid=reference_type+"_"+node.id;
	var checkid=newid+999;
	var isExist = false;
	if(isIntersect == 0){
		$('input[name="sumvalue"]').each(function(){ 
				var item = $(this).val()			
	      var strs=item.split("-");
	      var refer = strs[0].split(":");
	      var typearr = strs[1].split(":"); 
	      if (reference_type == typearr[1] && node.id == refer[1]){
						isExist = true;
				}   
		});
	}else{
		$('input[name="sumvalue1"]').each(function(){ 
				var item = $(this).val()			
	      var strs=item.split("-");
	      var refer = strs[0].split(":");
	      var typearr = strs[1].split(":"); 
	      if (reference_type == typearr[1] && node.id == refer[1]){
						isExist = true;
				}   
		});		
	}
		if (!isExist){
		 
			if(isIntersect==1){
				if(reference_type=='department'){
					name=node.text.split(',');
					name = '"'+name+'"';
					var liStrNoneTextId = $('#liStrNoneTextId').text();
					if(liStrNoneTextId){
						name = name+'   或   '+liStrNoneTextId;
						$('#liStrNoneTextId').text(name);
						var liStrNonecheckid = $('#liStrNonecheckid').text();//删除获取的checkid
						liStrNonecheckid = liStrNonecheckid+','+checkid;
						$('#liStrNonecheckid').text(liStrNonecheckid);
					}else{	
						var positionAll = $('#positionAll').text();
						var roleAll = $('#roleAll').text();
						if(roleAll || positionAll){
							var li_str_li_id = $('#li_str_li_id').text();
							// alert(li_str_li_id);
							if(li_str_li_id){
								$('#li_str_li_id').remove();
							}
							var liStr = $('<li id="li_str_li_id"><ol>包含</ol></li><li id="liStrNoneid"><span id="liStrNoneTextId">'+name+'</span><span id="liStrNonecheckid" style="display:none">'+checkid+'</span><em onclick="oncheckedVal(0,\'department\',0)"></em></li>');
						}
						else{
							var liStr = $('<li id="liStrNoneid"><span id="liStrNoneTextId">'+name+'</span><span id="liStrNonecheckid" style="display:none">'+checkid+'</span><em onclick="oncheckedVal(0,\'department\',0)"></em></li>');	
						}
						$("#disImg1").append(liStr);
					}	
				}else if(reference_type=='position'){
					name=node.text.split(',');
					name = '"'+name+'"';
					var positionAll = $('#positionAll').text();
					// alert(positionAll);
					if(positionAll){
						name = name+'   或   '+positionAll;
						// $('#disImg').html('');
						$('#positionAll').text(name);
						var positionAllcheckid = $('#positionAllcheckid').text();//删除获取的checkid
						positionAllcheckid = positionAllcheckid+','+checkid;
						$('#positionAllcheckid').text(positionAllcheckid);
					}else{				
						var liStrNoneTextId = $('#liStrNoneTextId').text();
						var roleAll = $('#roleAll').text();
						if(roleAll || liStrNoneTextId){
							var liStr = $('<li id="position_li_id" ><ol>包含</ol></li><li id="positionAllId"><span id="positionAll">'+name+'</span><span id="positionAllcheckid" style="display:none">'+checkid+'</span><em onclick="oncheckedVal(0,\'position\',0)"></em></li>');
						}
						else{
							var liStr = $('<li id="positionAllId"><span id="positionAll">'+name+'</span><span id="positionAllcheckid" style="display:none">'+checkid+'</span><em onclick="oncheckedVal(0,\'position\',0)"></em></li>');
						}
						$("#disImg1").append(liStr);
					}					
				}else if(reference_type == 'role'){
					name=node.text.split(',');
					name = '"'+name+'"';
					var roleAll = $('#roleAll').text();
					if(roleAll){
						name = name+'   或   '+roleAll;
						// $('#disImg').html('');
						$('#roleAll').text(name);
						var roleAllcheckid = $('#roleAllcheckid').text();//删除获取的checkid
						roleAllcheckid = roleAllcheckid+','+checkid;
						$('#roleAllcheckid').text(roleAllcheckid);
					}else{		
						var liStrNoneTextId = $('#liStrNoneTextId').text();
						var positionAll = $('#positionAll').text();	
						if(positionAll || liStrNoneTextId){
							var liStr = $('<li id="role_li_id" ><ol>包含</ol></li><li id="roleAllId"><span id="roleAll">'+name+'</span><span id="roleAllcheckid" style="display:none">'+checkid+'</span><em onclick="oncheckedVal(0,\'role\',0)"></em></li>');
						}else{
							var liStr = $('<li id="roleAllId"><span id="roleAll">'+name+'</span><span id="roleAllcheckid" style="display:none">'+checkid+'</span><em onclick="oncheckedVal(0,\'role\',0)"></em></li>');					
						}
						$("#disImg1").append(liStr);
					}
				}
			}else{
				var liStr = $('<li id="'+newid+'"><span>'+node.text+'</span><em onclick="removeLi(\''+newid+'\')"></em></li>'); 
				$("#disImg").append(liStr); 
			}	
		var value="reference_id:"+node.id+"-reference_type:"+reference_type+"";
	 	if(isIntersect==0){
	 		var buttonStr ="<input type='checkbox' style='display:none' id='"+checkid+"' name='sumvalue' value="+value+" />";
			$("#valuelist").append(buttonStr);
		}else{
			
			var buttonStr1 ="<input type='checkbox' style='display:none' id='"+checkid+"' name='sumvalue1' value="+value+" />";
			$("#valuelist1").append(buttonStr1);
		} 
	}
	//}
}

function treecheck(type,nodes,isRoot){
	var isIntersect=$('#isIntersect:checked').val();
	if (isIntersect == 0){
		$('input[name="sumvalue"]').each(function(){ 
			var item = $(this).val()
		    var strs=item.split("-");
		      //reference_id:3-reference_type:department
		    var refer = strs[0].split(":");
		    var typearr = strs[1].split(":"); 
		      if (type == typearr[1]){
							var node = $('#tt-'+type).tree('find',refer[1]);
							// console.log('node',node);
							if (node){
								
								$('#tt-'+type).tree('check', node.target); 
							}
						}
		
		  }); 
	}else{
		$('input[name="sumvalue1"]').each(function(){ 
			var item = $(this).val()
		    var strs=item.split("-");
		      //reference_id:3-reference_type:department
		    var refer = strs[0].split(":");
		    var typearr = strs[1].split(":"); 
		      if (type == typearr[1]){
							var node = $('#tt-'+type).tree('find',refer[1]);
							// console.log('node',node);
							if (node){
								
								$('#tt-'+type).tree('check', node.target); 
							}
						}
		
		  });		
	} 
}
	
	var fileviews = $.extend({}, $.fn.datagrid.defaults.view, { onAfterRender: function (target) { ischeckPersonItem("member"); } });

	
	 function ischeckPersonItem(type) {
	 	
	 	$('input[name="sumvalue"]').each(function(){    
				var item = $(this).val()
			
	      var strs=item.split("-");
	      //reference_id:3-reference_type:department
	      var refer = strs[0].split(":");
	      var typearr = strs[1].split(":"); 
	      
	     if (type == typearr[1]){
	     	//alert(refer[1]);
					$('#detaillist').datagrid('selectRecord', refer[1]);
				}
	  	});  
     
	   }
	 

    
	function addPersonnelByLi(id){
		object_keyword = $('#object_keyword').val();
		if(!id){
			id = $('#object_node_id').val();
		}
		$("#Memberlist").show();
		var url='{pigcms::U("Member/getPerson",array("token"=>$token,'interface'=>$interface,'act'=>$act))}&domainId='+domainId+'&id='+id+'&keyword='+object_keyword;
		$('#detaillist').datagrid({
				url:url,
				  idField: 'id', 
				  pageSize: 15,
    			view: fileviews,          
					striped: true,  
					singleSelect : false, 
					pageNumber:1, 
					
					loadMsg:'数据加载中请稍后……',  
					pagination:true,  
					rownumbers: false,  
					onLoadSuccess: function () {  
          document.getElementById('allcheck_person').checked =false ;  
        },  
					columns:[[						
						{field:'id',title: 'ID',align: 'center',width:90},
						{field:'real_name',title: '姓名',align: 'center',width: 448} ,  
					{field:'ck',align: 'center',checkbox:true,width:65}
					]]
				}); 
		datagrid_partion_style('detaillist');
				//ondetaillist(); 
				// datagrid_init("detaillist",url);
	}


function fixWidth(percent){
    return document.body.clientWidth * percent ; //这里你可以自己做调整
}


//点击复选框将信息显示在上方
function addcheckAllPersonItem(rowData){
	 $.each(rowData, function(index, item){
    oncheckedVal1(item);
  });
	
}
function oncheckedVal1(data){	
	var value="";
	var count=0;
		var newid="member_"+data.id;
		var checkid=newid+999;
		  //判断重复
		  // $("#disImg li").each(function(){
				// if($(this).text() == data.real_name){
				// 		count=1;
				// }
		  // });	
		  	value="reference_id:"+data.id+"-reference_type:member";
			//判断id重复
			var checkid1 =document.getElementsByName('sumvalue');// $('#checkid').val();
			for (var i = 0; i < checkid1.length; i++) {
				if(checkid1[i].value == value){
					count = 1;
				}
			};	 
		  if(count==0){
					var li1 = $('<li id="'+newid+'"><span>'+data.real_name+'</span><em onclick="removeLi(\''+newid+'\')"></em></li>'); 
					$("#disImg").append(li1); 
					var valuelist=$("#valuelist").val();
					if(count==0){
					 	var button="<input type='checkbox' style='display:none' id='"+checkid+"' name='sumvalue' value="+value+" />";
					}
					$("#valuelist").append(button);
		  }
}

function removecheckAllPersonItem(rowData){
	 $.each(rowData, function(index, item){
    unoncheckedVal(item);
  });
}

function unoncheckedVal(data){
		var id="member_"+data.id;
		$("#"+id).remove();
		var checkid=id+999;
		$("#"+checkid).remove();
}

function add(){

var valuelist="";

  
var isIntersect=$('#isIntersect:checked').val();
if(isIntersect==1){
	$('input[name="sumvalue1"]').each(function(){    
   		valuelist+=$(this).val()+",";    
  	}); 
	var isAllMember = 0
		if(!valuelist){
		$.messager.alert('Info','对象设置不可为空','info');
		return true;
	}
}else{
	$('input[name="sumvalue"]').each(function(){    
   		valuelist+=$(this).val()+",";    
  	});

	var  isAllMember = $("#all_students_id").is(':checked');
	if(!valuelist && isAllMember==false){
		$.messager.alert('Info','对象设置不可为空','info');
		return true;
	}
}

	$.post('{pigcms::U("Member/OrgnOper",array("token"=>$token))}',{
		act:'update',
		interface:'{pigcms:$interface}',	
		valuelist:valuelist,
		isIntersect:isIntersect,
		isAllMember:isAllMember,
		domainId:domainId,
	  },
	  function (data){
		  if(data.errorCode==0){
			$.messager.alert('提示',"保存成功!",'info');
		  }else{
		    $.messager.alert('提示',"保存失败!"+data.errorMassage,'error');
		  }
			
	  },'json'
	  );

}


//点击移除
function removeLi(id){	
			var strs=id.split("_");
			if (strs[0] == "member"){
				var checkedItems = $('#detaillist').datagrid('getChecked');
				 $.each(checkedItems, function(index, item){
		      if (strs[1] == item.id){
		      	$('#detaillist').datagrid('uncheckRow', index);
		      }
		    });
			}
			else{
				var node = $('#tt-'+strs[0]).tree('find', strs[1]);
				if (node){
					$('#tt-'+strs[0]).tree('uncheck', node.target);
				}
			}
			$("#"+id).remove();
			var checkid=id+999;
			$("#"+checkid).remove();
}

	function woaicssq(num,type,date){
		$('#woaicssqid').val(num);
		$('#woaicssqtype').val(type);
		loadObj(num,type,date);
		for(var id = 1;id<=5;id++){
				var curr_tab="woaicss_con"+id;
				var curr_tab_style="tab_"+id;
				if(id==num){
					// var  all_students_id = $("#all_students_id").is(':checked');
					document.getElementById(curr_tab).style.display="block";
					document.getElementById(curr_tab_style).setAttribute("class", "tab_active"); 
					
				}else{
					document.getElementById(curr_tab).style.display="none";
					document.getElementById(curr_tab_style).setAttribute("class", ""); 
				}

		}		
	}
	function woaicssq_query(){//查询
		$('#tt-department').html('');
		var index =	$('#woaicssqid').val();
		var type = $('#woaicssqtype').val();
		object_keyword = $('#object_keyword').val();
		if(index == 3){
			addPersonnelByLi(0);
		}else{
			$.post(urllist[index-1]+object_keyword,{
					act:'get',
					interface: interface
				  },
				  function (data){	
				  	if(data==null){
				  		$('#tt-'+type).html('');
					}else{
						woaicssq(index,type,1);
					}
				  },'json')
			
		}
	}

//模板消息发送
function addObject(){
	var valuelist="";

	$('input[name="sumvalue"]').each(function(){    
	   valuelist+=$(this).val()+",";    
	});   
	var isIntersect=$('#isIntersect:checked').val();
	if(isIntersect==1){
		var isAllMember = 0
			if(!valuelist){
			$.messager.alert('Info','对象设置不可为空','info');
			return true;
		}
	}else{
		var  isAllMember = $("#all_students_id").is(':checked');
		if(!valuelist && isAllMember==false){
			$.messager.alert('Info','对象设置不可为空','info');
			return true;
		}
	}
	$.post('{pigcms::U("Member/OrgnOper",array("token"=>$token))}',{
		act:'update',
		interface:'message',	
		valuelist:valuelist,
		isIntersect:isIntersect,
		isAllMember:isAllMember,
		domainId:domainId,
	  },
	  function (data){
		  //console.log(data);
		  if(data.errorCode==0){
			sendTplMsg();
		  }else if(data.indexOf('###http://')>=0){
			  window.location.href="{pigcms::U('Home/Users/logout')}";
		  }else{
		    $.messager.alert('提示',"保存失败!"+data.errorMassage,'error');
		  }
			
	  },'json'
	  );

}
</script>